summaryrefslogtreecommitdiff
path: root/test/music-grids
diff options
context:
space:
mode:
Diffstat (limited to 'test/music-grids')
-rwxr-xr-xtest/music-grids47
1 files changed, 47 insertions, 0 deletions
diff --git a/test/music-grids b/test/music-grids
new file mode 100755
index 0000000..35bb702
--- /dev/null
+++ b/test/music-grids
@@ -0,0 +1,47 @@
+#!/usr/bin/perl -w
+#
+# rhrdlibs
+#
+# Copyright (C) 2015-2016 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhrdlibs.
+#
+# rhrdlibs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhrdlibs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with rhrdlibs. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use POSIX;
+use lib "../lib/";
+use RHRD::rddb;
+
+my ($ctx, $status, $errorstring) = RHRD::rddb::init();
+if(defined $ctx) {
+ my $username = "";
+ $username = $ARGV[0] if(defined($ARGV[0]));
+ (my $authorized, $status, $errorstring) = RHRD::rddb::is_musicpools_user($ctx, $username);
+ if(!defined $authorized) {
+ print STDERR "$status: $errorstring\n";
+ RHRD::rddb::destroy($ctx);
+ exit 1;
+ }
+ if($authorized) {
+ print "'$username' is allowed to edit music grids\n";
+ } else {
+ print "'$username' is *not* allowed to edit music grids\n";
+ }
+ RHRD::rddb::destroy($ctx);
+} else {
+ print STDERR "$errorstring\n";
+ exit 1;
+}